#!/bin/sh

#  Uninstaller.command
#  SalesboxCRM - Installer is for OS X 10.9 & above.
#
#  Created by Jeevanandam M. on Apr 02, 2016.
#
#  Revision
#  1.0	Created an initial uninstaller script
#

sb_plugin="${HOME}/Library/Mail/Bundles/SalesboxCRM.mailbundle"

echo "\n\nUninstalling SalesboxCRM Mail plugin"
echo "===================================="
if [ -s "${sb_plugin}" ]; then
	confirm="input"
	until [[ ${confirm} =~ (y|Y) || ${confirm} =~ (N) ]]
	do
		echo "\nAre you sure want to uninstall? [y/N]"
		read confirm
	done
	
	case ${confirm} in 
		y|Y)  
			echo "Proceeding Uninstall of 'SalesboxCRM' Mail plugin...";
			rm -rf "${sb_plugin}";
			echo "\n========================================================="
			echo "  Plugin uninstallation completed, restart the Mail.app  "
			echo "========================================================="
			;;
		N)	
			echo "\nAborting operation as per user choice... see ya...\n\n" ;
			exit 0
			;;
	esac
else
	echo "\nSalesboxCRM Mail plugin is not installed.\n\n"
fi

